inohilog

/var/log/inohiro

rake db:migrate で "Could not find a JavaScript runtime. ~" というエラーが出る件

  • node.js のランタイムがインストールされていなのが原因のようだ
    • Rails 3.1(rc4) を使っているので、その関係かな?
  • Ubuntu 10.04 LTS での解決方法(aptitude派なので、apt-getのひとは適当に読み替えてください)
( $ sudo aptitude install python-software-properties )
$ sudo add-apt-repository ppa:chris-lea/node.js
$ sudo aptitude update
$ sudo aptitude install nodejs

追記(CentOS